Index: main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_mems.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_mems.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_mems.h	(revision 25147)
@@ -38,5 +38,5 @@
   {
     unsigned char *Base;
-    unsigned long pos;
+    mg_u_long pos;
   }
 mems_bitio_state;
@@ -46,51 +46,51 @@
 
 
-void BIO_Mems_Encode_Start (char *buf, unsigned long pos, mems_bitio_state * bs);
+void BIO_Mems_Encode_Start (char *buf, mg_u_long pos, mems_bitio_state * bs);
 void BIO_Mems_Encode_Done (mems_bitio_state * bs);
 
 
 
-void BIO_Mems_Decode_Start (void *buf, unsigned long pos, mems_bitio_state * bs);
+void BIO_Mems_Decode_Start (void *buf, mg_u_long pos, mems_bitio_state * bs);
 
 
 
-void BIO_Mems_Unary_Encode (unsigned long val, mems_bitio_state * bs,
-			    unsigned long *bits);
-unsigned long BIO_Mems_Unary_Decode (mems_bitio_state * bs,
-				     unsigned long *bits);
+void BIO_Mems_Unary_Encode (mg_u_long val, mems_bitio_state * bs,
+			    mg_u_long *bits);
+mg_u_long BIO_Mems_Unary_Decode (mems_bitio_state * bs,
+				     mg_u_long *bits);
 
 
 
-void BIO_Mems_Binary_Encode (unsigned long val, unsigned long b,
-			     mems_bitio_state * bs, unsigned long *bits);
-unsigned long BIO_Mems_Binary_Decode (unsigned long b, mems_bitio_state * bs,
-				      unsigned long *bits);
+void BIO_Mems_Binary_Encode (mg_u_long val, mg_u_long b,
+			     mems_bitio_state * bs, mg_u_long *bits);
+mg_u_long BIO_Mems_Binary_Decode (mg_u_long b, mems_bitio_state * bs,
+				      mg_u_long *bits);
 
 
 
-void BIO_Mems_Gamma_Encode (unsigned long val, mems_bitio_state * bs,
-			    unsigned long *bits);
-unsigned long BIO_Mems_Gamma_Decode (mems_bitio_state * bs, unsigned long *bits);
+void BIO_Mems_Gamma_Encode (mg_u_long val, mems_bitio_state * bs,
+			    mg_u_long *bits);
+mg_u_long BIO_Mems_Gamma_Decode (mems_bitio_state * bs, mg_u_long *bits);
 
 
 
-void BIO_Mems_Delta_Encode (unsigned long val, mems_bitio_state * bs,
-			    unsigned long *bits);
-unsigned long BIO_Mems_Delta_Decode (mems_bitio_state * bs, unsigned long *bits);
+void BIO_Mems_Delta_Encode (mg_u_long val, mems_bitio_state * bs,
+			    mg_u_long *bits);
+mg_u_long BIO_Mems_Delta_Decode (mems_bitio_state * bs, mg_u_long *bits);
 
 
-void BIO_Mems_Elias_Encode (unsigned long val, unsigned long b, double s,
-			    mems_bitio_state * bs, unsigned long *bits);
-unsigned long BIO_Mems_Elias_Decode (unsigned long b, double s,
-				mems_bitio_state * bs, unsigned long *bits);
+void BIO_Mems_Elias_Encode (mg_u_long val, mg_u_long b, double s,
+			    mems_bitio_state * bs, mg_u_long *bits);
+mg_u_long BIO_Mems_Elias_Decode (mg_u_long b, double s,
+				mems_bitio_state * bs, mg_u_long *bits);
 
 
-void BIO_Mems_Bblock_Encode (unsigned long val, unsigned long b,
-			     mems_bitio_state * bs, unsigned long *bits);
-unsigned long BIO_Mems_Bblock_Decode (unsigned long b, mems_bitio_state * bs,
-				      unsigned long *bits);
+void BIO_Mems_Bblock_Encode (mg_u_long val, mg_u_long b,
+			     mems_bitio_state * bs, mg_u_long *bits);
+mg_u_long BIO_Mems_Bblock_Decode (mg_u_long b, mems_bitio_state * bs,
+				      mg_u_long *bits);
 
 
-void BIO_Mems_Decode_Seek (unsigned long pos, mems_bitio_state * bs);
+void BIO_Mems_Decode_Seek (mg_u_long pos, mems_bitio_state * bs);
 
 
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_random.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_random.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_random.c	(revision 25147)
@@ -30,5 +30,5 @@
 
 void 
-BIO_Random_Start (FILE * f, unsigned long len,
+BIO_Random_Start (FILE * f, mg_u_long len,
 		  random_bitio_state * bs)
 {
@@ -64,6 +64,6 @@
 
 void 
-BIO_Random_Unary_Encode (unsigned long val, random_bitio_state * bs,
-			 unsigned long *bits)
+BIO_Random_Unary_Encode (mg_u_long val, random_bitio_state * bs,
+			 mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -76,9 +76,9 @@
 
 
-unsigned long 
+mg_u_long 
 BIO_Random_Unary_Decode (random_bitio_state * bs,
-			 unsigned long *bits)
-{
-  register unsigned long val;
+			 mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -97,6 +97,6 @@
 
 void 
-BIO_Random_Binary_Encode (unsigned long val, unsigned long b,
-			  random_bitio_state * bs, unsigned long *bits)
+BIO_Random_Binary_Encode (mg_u_long val, mg_u_long b,
+			  random_bitio_state * bs, mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -109,10 +109,10 @@
 
 
-unsigned long 
-BIO_Random_Binary_Decode (unsigned long b,
+mg_u_long 
+BIO_Random_Binary_Decode (mg_u_long b,
 			  random_bitio_state * bs,
-			  unsigned long *bits)
-{
-  register unsigned long val;
+			  mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -131,6 +131,6 @@
 
 void 
-BIO_Random_Gamma_Encode (unsigned long val, random_bitio_state * bs,
-			 unsigned long *bits)
+BIO_Random_Gamma_Encode (mg_u_long val, random_bitio_state * bs,
+			 mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -143,9 +143,9 @@
 
 
-unsigned long 
+mg_u_long 
 BIO_Random_Gamma_Decode (random_bitio_state * bs,
-			 unsigned long *bits)
-{
-  register unsigned long val;
+			 mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -161,6 +161,6 @@
 
 void 
-BIO_Random_Delta_Encode (unsigned long val, random_bitio_state * bs,
-			 unsigned long *bits)
+BIO_Random_Delta_Encode (mg_u_long val, random_bitio_state * bs,
+			 mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -173,9 +173,9 @@
 
 
-unsigned long 
+mg_u_long 
 BIO_Random_Delta_Decode (random_bitio_state * bs,
-			 unsigned long *bits)
-{
-  register unsigned long val;
+			 mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -188,6 +188,6 @@
 
 void 
-BIO_Random_Elias_Encode (unsigned long val, unsigned long b, double s,
-			 random_bitio_state * bs, unsigned long *bits)
+BIO_Random_Elias_Encode (mg_u_long val, mg_u_long b, double s,
+			 random_bitio_state * bs, mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -200,10 +200,10 @@
 
 
-unsigned long 
-BIO_Random_Elias_Decode (unsigned long b, double s,
+mg_u_long 
+BIO_Random_Elias_Decode (mg_u_long b, double s,
 			 random_bitio_state * bs,
-			 unsigned long *bits)
-{
-  register unsigned long val;
+			 mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -216,6 +216,6 @@
 
 void 
-BIO_Random_Bblock_Encode (unsigned long val, unsigned long b,
-			  random_bitio_state * bs, unsigned long *bits)
+BIO_Random_Bblock_Encode (mg_u_long val, mg_u_long b,
+			  random_bitio_state * bs, mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -228,10 +228,10 @@
 
 
-unsigned long 
-BIO_Random_Bblock_Decode (unsigned long b,
+mg_u_long 
+BIO_Random_Bblock_Decode (mg_u_long b,
 			  random_bitio_state * bs,
-			  unsigned long *bits)
-{
-  register unsigned long val;
+			  mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -244,5 +244,5 @@
 
 void 
-BIO_Random_Seek (unsigned long pos, random_bitio_state * bs)
+BIO_Random_Seek (mg_u_long pos, random_bitio_state * bs)
 {
   ENCODE_CONTINUE (*bs)
@@ -258,8 +258,8 @@
 }
 
-unsigned long 
+mg_u_long 
 BIO_Random_Tell (random_bitio_state * bs)
 {
-  register unsigned long t;
+  register mg_u_long t;
   ENCODE_CONTINUE (*bs)
     t = ENCODE_TELL;
@@ -278,14 +278,14 @@
 	((((pos)+7) >> 3) < (mg_ullong)(__base + __len)))
       {
-	__pos = (long)((pos) - (mg_ullong)(__base << 3));
+	__pos = (mg_s_long)((pos) - (mg_ullong)(__base << 3));
       }
     else
       {
         ENCODE_FLUSH;
-	__base = (long)(((pos) >> (__sft+3)) << __sft);
+	__base = (mg_s_long)(((pos) >> (__sft+3)) << __sft);
 	
 	fseek(__file,__base,0);
 	fread(__buf,1,__len,__file);
-	__pos = (long)((pos) & ((8 << __sft)-1));
+	__pos = (mg_s_long)((pos) & ((8 << __sft)-1));
       }
   
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_random.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_random.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_random.h	(revision 25147)
@@ -43,9 +43,9 @@
     FILE *File;
     unsigned char *Buf;
-    unsigned long Base;
-    unsigned long Used;
-    unsigned long pos;
-    unsigned long len;
-    unsigned long sft;
+    mg_u_long Base;
+    mg_u_long Used;
+    mg_u_long pos;
+    mg_u_long len;
+    mg_u_long sft;
   }
 random_bitio_state;
@@ -55,5 +55,5 @@
 
 
-void BIO_Random_Start (FILE * f, unsigned long len,
+void BIO_Random_Start (FILE * f, mg_u_long len,
 		       random_bitio_state * bs);
 void BIO_Random_Done (random_bitio_state * bs);
@@ -61,5 +61,5 @@
 
 
-void BIO_Random_Decode_Start (void *buf, unsigned long pos,
+void BIO_Random_Decode_Start (void *buf, mg_u_long pos,
 			      random_bitio_state * bs);
 
@@ -69,50 +69,50 @@
 
 
-void BIO_Random_Unary_Encode (unsigned long val, random_bitio_state * bs,
-			      unsigned long *bits);
-unsigned long BIO_Random_Unary_Decode (random_bitio_state * bs,
-				       unsigned long *bits);
+void BIO_Random_Unary_Encode (mg_u_long val, random_bitio_state * bs,
+			      mg_u_long *bits);
+mg_u_long BIO_Random_Unary_Decode (random_bitio_state * bs,
+				       mg_u_long *bits);
 
 
 
-void BIO_Random_Binary_Encode (unsigned long val, unsigned long b,
-			       random_bitio_state * bs, unsigned long *bits);
-unsigned long BIO_Random_Binary_Decode (unsigned long b, random_bitio_state * bs,
-					unsigned long *bits);
+void BIO_Random_Binary_Encode (mg_u_long val, mg_u_long b,
+			       random_bitio_state * bs, mg_u_long *bits);
+mg_u_long BIO_Random_Binary_Decode (mg_u_long b, random_bitio_state * bs,
+					mg_u_long *bits);
 
 
 
-void BIO_Random_Gamma_Encode (unsigned long val, random_bitio_state * bs,
-			      unsigned long *bits);
-unsigned long BIO_Random_Gamma_Decode (random_bitio_state * bs,
-				       unsigned long *bits);
+void BIO_Random_Gamma_Encode (mg_u_long val, random_bitio_state * bs,
+			      mg_u_long *bits);
+mg_u_long BIO_Random_Gamma_Decode (random_bitio_state * bs,
+				       mg_u_long *bits);
 
 
 
-void BIO_Random_Delta_Encode (unsigned long val, random_bitio_state * bs,
-			      unsigned long *bits);
-unsigned long BIO_Random_Delta_Decode (random_bitio_state * bs,
-				       unsigned long *bits);
+void BIO_Random_Delta_Encode (mg_u_long val, random_bitio_state * bs,
+			      mg_u_long *bits);
+mg_u_long BIO_Random_Delta_Decode (random_bitio_state * bs,
+				       mg_u_long *bits);
 
 
-void BIO_Random_Elias_Encode (unsigned long val, unsigned long b, double s,
-			      random_bitio_state * bs, unsigned long *bits);
-unsigned long BIO_Random_Elias_Decode (unsigned long b, double s,
+void BIO_Random_Elias_Encode (mg_u_long val, mg_u_long b, double s,
+			      random_bitio_state * bs, mg_u_long *bits);
+mg_u_long BIO_Random_Elias_Decode (mg_u_long b, double s,
 				       random_bitio_state * bs,
-				       unsigned long *bits);
+				       mg_u_long *bits);
 
 
-void BIO_Random_Bblock_Encode (unsigned long val, unsigned long b,
-			       random_bitio_state * bs, unsigned long *bits);
-unsigned long BIO_Random_Bblock_Decode (unsigned long b,
+void BIO_Random_Bblock_Encode (mg_u_long val, mg_u_long b,
+			       random_bitio_state * bs, mg_u_long *bits);
+mg_u_long BIO_Random_Bblock_Decode (mg_u_long b,
 					random_bitio_state * bs,
-					unsigned long *bits);
+					mg_u_long *bits);
 
 
-void BIO_Random_Seek (unsigned long pos, random_bitio_state * bs);
+void BIO_Random_Seek (mg_u_long pos, random_bitio_state * bs);
 
 void BIO_Random_Flush (random_bitio_state * bs);
 
-unsigned long BIO_Random_Tell (random_bitio_state * bs);
+mg_u_long BIO_Random_Tell (random_bitio_state * bs);
 
 #ifdef USE_LONG_LONG
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_stdio.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_stdio.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_stdio.c	(revision 25147)
@@ -72,6 +72,6 @@
 
 void 
-BIO_Stdio_Unary_Encode (unsigned long val, stdio_bitio_state * bs,
-			unsigned long *bits)
+BIO_Stdio_Unary_Encode (mg_u_long val, stdio_bitio_state * bs,
+			mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -84,9 +84,9 @@
 
 
-unsigned long 
+mg_u_long 
 BIO_Stdio_Unary_Decode (stdio_bitio_state * bs,
-			unsigned long *bits)
-{
-  register unsigned long val;
+			mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -105,6 +105,6 @@
 
 void 
-BIO_Stdio_Binary_Encode (unsigned long val, unsigned long b,
-			 stdio_bitio_state * bs, unsigned long *bits)
+BIO_Stdio_Binary_Encode (mg_u_long val, mg_u_long b,
+			 stdio_bitio_state * bs, mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -117,9 +117,9 @@
 
 
-unsigned long 
-BIO_Stdio_Binary_Decode (unsigned long b, stdio_bitio_state * bs,
-			 unsigned long *bits)
-{
-  register unsigned long val;
+mg_u_long 
+BIO_Stdio_Binary_Decode (mg_u_long b, stdio_bitio_state * bs,
+			 mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -138,6 +138,6 @@
 
 void 
-BIO_Stdio_Gamma_Encode (unsigned long val, stdio_bitio_state * bs,
-			unsigned long *bits)
+BIO_Stdio_Gamma_Encode (mg_u_long val, stdio_bitio_state * bs,
+			mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -150,9 +150,9 @@
 
 
-unsigned long 
+mg_u_long 
 BIO_Stdio_Gamma_Decode (stdio_bitio_state * bs,
-			unsigned long *bits)
-{
-  register unsigned long val;
+			mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -168,6 +168,6 @@
 
 void 
-BIO_Stdio_Delta_Encode (unsigned long val, stdio_bitio_state * bs,
-			unsigned long *bits)
+BIO_Stdio_Delta_Encode (mg_u_long val, stdio_bitio_state * bs,
+			mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -180,9 +180,9 @@
 
 
-unsigned long 
+mg_u_long 
 BIO_Stdio_Delta_Decode (stdio_bitio_state * bs,
-			unsigned long *bits)
-{
-  register unsigned long val;
+			mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -198,6 +198,6 @@
 
 void 
-BIO_Stdio_Elias_Encode (unsigned long val, unsigned long b, double s,
-			stdio_bitio_state * bs, unsigned long *bits)
+BIO_Stdio_Elias_Encode (mg_u_long val, mg_u_long b, double s,
+			stdio_bitio_state * bs, mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -210,10 +210,10 @@
 
 
-unsigned long 
-BIO_Stdio_Elias_Decode (unsigned long b, double s,
+mg_u_long 
+BIO_Stdio_Elias_Decode (mg_u_long b, double s,
 			stdio_bitio_state * bs,
-			unsigned long *bits)
-{
-  register unsigned long val;
+			mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -228,6 +228,6 @@
 
 void 
-BIO_Stdio_Bblock_Encode (unsigned long val, unsigned long b,
-			 stdio_bitio_state * bs, unsigned long *bits)
+BIO_Stdio_Bblock_Encode (mg_u_long val, mg_u_long b,
+			 stdio_bitio_state * bs, mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -240,9 +240,9 @@
 
 
-unsigned long 
-BIO_Stdio_Bblock_Decode (unsigned long b, stdio_bitio_state * bs,
-			 unsigned long *bits)
-{
-  register unsigned long val;
+mg_u_long 
+BIO_Stdio_Bblock_Decode (mg_u_long b, stdio_bitio_state * bs,
+			 mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -255,5 +255,5 @@
 
 void 
-BIO_Stdio_Decode_Seek (unsigned long pos, stdio_bitio_state * bs)
+BIO_Stdio_Decode_Seek (mg_u_long pos, stdio_bitio_state * bs)
 {
   DECODE_CONTINUE (*bs)
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_stdio.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_stdio.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_stdio.h	(revision 25147)
@@ -59,46 +59,46 @@
 
 
-void BIO_Stdio_Unary_Encode (unsigned long val, stdio_bitio_state * bs,
-			     unsigned long *bits);
-unsigned long BIO_Stdio_Unary_Decode (stdio_bitio_state * bs,
-				      unsigned long *bits);
+void BIO_Stdio_Unary_Encode (mg_u_long val, stdio_bitio_state * bs,
+			     mg_u_long *bits);
+mg_u_long BIO_Stdio_Unary_Decode (stdio_bitio_state * bs,
+				      mg_u_long *bits);
 
 
 
-void BIO_Stdio_Binary_Encode (unsigned long val, unsigned long b,
-			      stdio_bitio_state * bs, unsigned long *bits);
-unsigned long BIO_Stdio_Binary_Decode (unsigned long b, stdio_bitio_state * bs,
-				       unsigned long *bits);
+void BIO_Stdio_Binary_Encode (mg_u_long val, mg_u_long b,
+			      stdio_bitio_state * bs, mg_u_long *bits);
+mg_u_long BIO_Stdio_Binary_Decode (mg_u_long b, stdio_bitio_state * bs,
+				       mg_u_long *bits);
 
 
 
-void BIO_Stdio_Gamma_Encode (unsigned long val, stdio_bitio_state * bs,
-			     unsigned long *bits);
-unsigned long BIO_Stdio_Gamma_Decode (stdio_bitio_state * bs,
-				      unsigned long *bits);
+void BIO_Stdio_Gamma_Encode (mg_u_long val, stdio_bitio_state * bs,
+			     mg_u_long *bits);
+mg_u_long BIO_Stdio_Gamma_Decode (stdio_bitio_state * bs,
+				      mg_u_long *bits);
 
 
 
-void BIO_Stdio_Delta_Encode (unsigned long val, stdio_bitio_state * bs,
-			     unsigned long *bits);
-unsigned long BIO_Stdio_Delta_Decode (stdio_bitio_state * bs,
-				      unsigned long *bits);
+void BIO_Stdio_Delta_Encode (mg_u_long val, stdio_bitio_state * bs,
+			     mg_u_long *bits);
+mg_u_long BIO_Stdio_Delta_Decode (stdio_bitio_state * bs,
+				      mg_u_long *bits);
 
 
 
-void BIO_Stdio_Elias_Encode (unsigned long val, unsigned long b, double s,
-			     stdio_bitio_state * bs, unsigned long *bits);
-unsigned long BIO_Stdio_Elias_Decode (unsigned long b, double s,
+void BIO_Stdio_Elias_Encode (mg_u_long val, mg_u_long b, double s,
+			     stdio_bitio_state * bs, mg_u_long *bits);
+mg_u_long BIO_Stdio_Elias_Decode (mg_u_long b, double s,
 				      stdio_bitio_state * bs,
-				      unsigned long *bits);
+				      mg_u_long *bits);
 
 
-void BIO_Stdio_Bblock_Encode (unsigned long val, unsigned long b,
-			      stdio_bitio_state * bs, unsigned long *bits);
-unsigned long BIO_Stdio_Bblock_Decode (unsigned long b, stdio_bitio_state * bs,
-				       unsigned long *bits);
+void BIO_Stdio_Bblock_Encode (mg_u_long val, mg_u_long b,
+			      stdio_bitio_state * bs, mg_u_long *bits);
+mg_u_long BIO_Stdio_Bblock_Decode (mg_u_long b, stdio_bitio_state * bs,
+				       mg_u_long *bits);
 
 
-void BIO_Stdio_Decode_Seek (unsigned long pos, stdio_bitio_state * bs);
+void BIO_Stdio_Decode_Seek (mg_u_long pos, stdio_bitio_state * bs);
 
 #endif
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/filestats.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/filestats.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/filestats.c	(revision 25147)
@@ -28,9 +28,9 @@
 
 File *
-Fopen (char *name, char *mode, unsigned long magic)
+Fopen (char *name, char *mode, mg_u_long magic)
 {
   FILE *f;
   File *F;
-  unsigned long m;
+  mg_u_long m;
   if (!(f = fopen (name, mode)))
     return (NULL);
@@ -90,5 +90,5 @@
 
 int 
-Fseek (File * F, long offset, int ptrname)
+Fseek (File * F, mg_s_long offset, int ptrname)
 {
   int num;
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/filestats.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/filestats.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/filestats.h	(revision 25147)
@@ -23,10 +23,11 @@
 #define H_FILESTATS
 
+#include "mglong.h"
 
 typedef struct FileStats
   {
-    unsigned long NumSeeks;
-    unsigned long NumReads;
-    unsigned long NumBytes;
+    mg_u_long NumSeeks;
+    mg_u_long NumReads;
+    mg_u_long NumBytes;
   }
 FileStats;
@@ -45,9 +46,9 @@
 
 /* if magic is 0 no magic number is read or written */
-File *Fopen (char *name, char *mode, unsigned long magic);
+File *Fopen (char *name, char *mode, mg_u_long magic);
 
 size_t Fread (void *ptr, size_t size, size_t nitems, File * F);
 
-int Fseek (File * F, long offset, int ptrname);
+int Fseek (File * F, mg_s_long offset, int ptrname);
 
 void Rewind (File * F);
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/gmalloc.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/gmalloc.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/gmalloc.c	(revision 25147)
@@ -401,8 +401,8 @@
 {
   __ptr_t result;
-  unsigned long int adj;
+  mg_u_long adj;
 
   result = (*__morecore) (size);
-  adj = (unsigned long int) ((unsigned long int) ((char *) result -
+  adj = (mg_u_long) ((mg_u_long) ((char *) result -
 						  (char *) NULL)) % BLOCKSIZE;
   if (adj != 0)
@@ -549,6 +549,6 @@
 	  block = BLOCK (result);
 	  if (--_heapinfo[block].busy.info.frag.nfree != 0)
-	    _heapinfo[block].busy.info.frag.first = (unsigned long int)
-	      ((unsigned long int) ((char *) next->next - (char *) NULL)
+	    _heapinfo[block].busy.info.frag.first = (mg_u_long)
+	      ((mg_u_long) ((char *) next->next - (char *) NULL)
 	       % BLOCKSIZE) >> log;
 
@@ -872,6 +872,6 @@
 	  prev = (struct list *) ptr;
 	  _heapinfo[block].busy.info.frag.nfree = 1;
-	  _heapinfo[block].busy.info.frag.first = (unsigned long int)
-	    ((unsigned long int) ((char *) ptr - (char *) NULL)
+	  _heapinfo[block].busy.info.frag.first = (mg_u_long)
+	    ((mg_u_long) ((char *) ptr - (char *) NULL)
 	     % BLOCKSIZE >> type);
 	  prev->next = _fraghead[type].next;
@@ -1284,5 +1284,5 @@
 {
   __ptr_t result;
-  unsigned long int adj;
+  mg_u_long int adj;
 
   size = ((size + alignment - 1) / alignment) * alignment;
@@ -1291,5 +1291,5 @@
   if (result == NULL)
     return NULL;
-  adj = (unsigned long int) ((unsigned long int) ((char *) result -
+  adj = (mg_u_long) ((mg_u_long) ((char *) result -
 						  (char *) NULL)) % alignment;
   if (adj != 0)
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/huffman.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/huffman.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/huffman.c	(revision 25147)
@@ -30,9 +30,9 @@
  */
 huff_data *
-Generate_Huffman_Data (int num, long *freqs, huff_data * data,
-		       u_long * mem)
+Generate_Huffman_Data (int num, mg_s_long *freqs, huff_data * data,
+		       mg_u_long * mem)
 {
   int HNum, i, count;
-  unsigned long *heap;
+  mg_u_long *heap;
   huff_data *hd = data;
   if (!hd)
@@ -73,5 +73,5 @@
 	  if (heap[heap[curr - 1]] > heap[heap[child - 1]])
 	    {
-	      register u_long temp;
+	      register mg_u_long temp;
 	      temp = heap[child - 1];
 	      heap[child - 1] = heap[curr - 1];
@@ -141,5 +141,5 @@
 
   /* Calculate the code lens */
-  heap[0] = -1UL;
+  heap[0] = -1;
   heap[1] = 0;
   for (i = 2; i < num * 2; i++)
@@ -154,5 +154,5 @@
   for (i = 0; i < num; i++)
     {
-      register u_long codelen = heap[i + num];
+      register mg_u_long codelen = heap[i + num];
       hd->clens[i] = (char) codelen;
       if (!codelen)
@@ -190,10 +190,10 @@
 }
 
-unsigned long *
-Generate_Huffman_Codes (huff_data * data, u_long * mem)
+mg_u_long *
+Generate_Huffman_Codes (huff_data * data, mg_u_long * mem)
 {
   int i;
-  unsigned long *codes;
-  unsigned long mc[MAX_HUFFCODE_LEN + 1];
+  mg_u_long *codes;
+  mg_u_long mc[MAX_HUFFCODE_LEN + 1];
 
   if (!data)
@@ -212,11 +212,11 @@
 
 
-unsigned long **
-Generate_Huffman_Vals (huff_data * data, u_long * mem)
+mg_u_long **
+Generate_Huffman_Vals (huff_data * data, mg_u_long * mem)
 {
   int i;
-  unsigned long *fcode[MAX_HUFFCODE_LEN + 1];
-  unsigned long **values;
-  unsigned long *vals;
+  mg_u_long *fcode[MAX_HUFFCODE_LEN + 1];
+  mg_u_long **values;
+  mg_u_long *vals;
 
   if (!data)
@@ -224,5 +224,5 @@
   if (!(vals = Xmalloc (data->num_codes * sizeof (*vals))))
     return (NULL);
-  if (!(values = Xmalloc ((MAX_HUFFCODE_LEN + 1) * sizeof (unsigned long *))))
+  if (!(values = Xmalloc ((MAX_HUFFCODE_LEN + 1) * sizeof (mg_u_long *))))
     {
       free (vals);
@@ -230,9 +230,9 @@
     }
 
-  bzero ((char *) values, (MAX_HUFFCODE_LEN + 1) * sizeof (unsigned long *));
+  bzero ((char *) values, (MAX_HUFFCODE_LEN + 1) * sizeof (mg_u_long *));
 
   if (mem)
     *mem += data->num_codes * sizeof (*vals) +
-      (MAX_HUFFCODE_LEN + 1) * sizeof (unsigned long *);
+      (MAX_HUFFCODE_LEN + 1) * sizeof (mg_u_long *);
 
   fcode[0] = values[0] = &vals[0];
@@ -249,5 +249,5 @@
 
 double 
-Calculate_Huffman_Size (int num, long *freqs, long *counts)
+Calculate_Huffman_Size (int num, mg_s_long *freqs, mg_s_long *counts)
 {
   double size = 0;
@@ -321,5 +321,5 @@
 static int 
 General_Read_Huffman_Data (size_t (*rd) (), void *f,
-			   huff_data * hd, u_long * mem, u_long * disk)
+			   huff_data * hd, mg_u_long * mem, mg_u_long * disk)
 {
   if (rd (&hd->num_codes, sizeof (hd->num_codes), 1, f) != 1)
@@ -392,5 +392,5 @@
 
 int 
-Read_Huffman_Data (FILE * f, huff_data * hd, u_long * mem, u_long * disk)
+Read_Huffman_Data (FILE * f, huff_data * hd, mg_u_long * mem, mg_u_long * disk)
 {
   return General_Read_Huffman_Data (fread, f, hd, mem, disk);
@@ -401,5 +401,5 @@
 
 int 
-F_Read_Huffman_Data (File * f, huff_data * hd, u_long * mem, u_long * disk)
+F_Read_Huffman_Data (File * f, huff_data * hd, mg_u_long * mem, mg_u_long * disk)
 {
   return General_Read_Huffman_Data (Fread, f, hd, mem, disk);
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/huffman.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/huffman.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/huffman.h	(revision 25147)
@@ -37,5 +37,5 @@
     int maxcodelen;
     int lencount[MAX_HUFFCODE_LEN + 1];
-    unsigned long min_code[MAX_HUFFCODE_LEN + 1];
+    mg_u_long min_code[MAX_HUFFCODE_LEN + 1];
     char *clens;
   }
@@ -43,21 +43,21 @@
 
 
-huff_data *Generate_Huffman_Data (int num, long *freqs, huff_data * data,
-				  u_long * mem);
+huff_data *Generate_Huffman_Data (int num, mg_s_long *freqs, huff_data * data,
+				  mg_u_long * mem);
 
-unsigned long *Generate_Huffman_Codes (huff_data * data, u_long * mem);
+mg_u_long *Generate_Huffman_Codes (huff_data * data, mg_u_long * mem);
 
-unsigned long **Generate_Huffman_Vals (huff_data * data, u_long * mem);
+mg_u_long **Generate_Huffman_Vals (huff_data * data, mg_u_long * mem);
 
 int Write_Huffman_Data (FILE * f, huff_data * hd);
 
-int Read_Huffman_Data (FILE * f, huff_data * hd, u_long * mem, u_long * disk);
+int Read_Huffman_Data (FILE * f, huff_data * hd, mg_u_long * mem, mg_u_long * disk);
 
-int F_Read_Huffman_Data (File * f, huff_data * hd, u_long * mem, u_long * disk);
+int F_Read_Huffman_Data (File * f, huff_data * hd, mg_u_long * mem, mg_u_long * disk);
 
 /* Calculate the number of bits required to code the data with the
    specified frequencies. Normally freqs and counts should point to
    the same array. */
-double Calculate_Huffman_Size (int num, long *freqs, long *counts);
+double Calculate_Huffman_Size (int num, mg_s_long *freqs, mg_s_long *counts);
 
 
@@ -67,5 +67,5 @@
     register int __i;							\
     register int __clen = (lens)[x];					\
-    register unsigned long __code = (codes)[x];				\
+    register mg_u_long __code = (codes)[x];				\
     for (__i=__clen-1; __i>=0; --__i)					\
       ENCODE_BIT((__code >> __i) & 1);					\
@@ -81,8 +81,8 @@
 #define HUFF_DECODE(x, mcodes, values)					\
   do {									\
-    register unsigned long *__min_code = (mcodes);			\
-    register unsigned long *__mclen = __min_code;			\
-    register unsigned long **__values = (values);			\
-    register unsigned long __code = 0;					\
+    register mg_u_long *__min_code = (mcodes);			\
+    register mg_u_long *__mclen = __min_code;			\
+    register mg_u_long **__values = (values);			\
+    register mg_u_long __code = 0;					\
     do									\
       {									\
@@ -96,8 +96,8 @@
 #define HUFF_DECODE_L(x, mcodes, values, count)				\
   do {									\
-    register unsigned long *__min_code = (mcodes);			\
-    register unsigned long *__mclen = __min_code;			\
-    register unsigned long **__values = (values);			\
-    register unsigned long __code = 0;					\
+    register mg_u_long *__min_code = (mcodes);			\
+    register mg_u_long *__mclen = __min_code;			\
+    register mg_u_long **__values = (values);			\
+    register mg_u_long __code = 0;					\
     do									\
       {									\
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/huffman_mem.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/huffman_mem.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/huffman_mem.c	(revision 25147)
@@ -30,5 +30,5 @@
 
 void 
-BIO_Mem_Huff_Encode (unsigned long val, unsigned long *codes,
+BIO_Mem_Huff_Encode (mg_u_long val, mg_u_long *codes,
 		     char *clens, mem_bitio_state * bs)
 {
@@ -38,9 +38,9 @@
 }
 
-unsigned long 
-BIO_Mem_Huff_Decode (unsigned long *mincodes,
-		     unsigned long **values, mem_bitio_state * bs)
+mg_u_long 
+BIO_Mem_Huff_Decode (mg_u_long *mincodes,
+		     mg_u_long **values, mem_bitio_state * bs)
 {
-  unsigned long val;
+  mg_u_long val;
   DECODE_CONTINUE (*bs)
     HUFF_DECODE (val, mincodes, values);
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/huffman_mem.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/huffman_mem.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/huffman_mem.h	(revision 25147)
@@ -25,9 +25,9 @@
 
 
-void BIO_Mem_Huff_Encode (unsigned long val, unsigned long *codes,
+void BIO_Mem_Huff_Encode (mg_u_long val, mg_u_long *codes,
 			  char *clens, mem_bitio_state * bs);
 
-unsigned long BIO_Mem_Huff_Decode (unsigned long *mincodes,
-			      unsigned long **values, mem_bitio_state * bs);
+mg_u_long BIO_Mem_Huff_Decode (mg_u_long *mincodes,
+			      mg_u_long **values, mem_bitio_state * bs);
 
 
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/huffman_stdio.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/huffman_stdio.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/huffman_stdio.c	(revision 25147)
@@ -33,5 +33,5 @@
 
 void 
-BIO_Stdio_Huff_Encode (unsigned long val, unsigned long *codes,
+BIO_Stdio_Huff_Encode (mg_u_long val, mg_u_long *codes,
 		       char *clens, stdio_bitio_state * bs)
 {
@@ -41,10 +41,10 @@
 }
 
-unsigned long 
-BIO_Stdio_Huff_Decode (unsigned long *mincodes,
-		       unsigned long **values,
+mg_u_long 
+BIO_Stdio_Huff_Decode (mg_u_long *mincodes,
+		       mg_u_long **values,
 		       stdio_bitio_state * bs)
 {
-  unsigned long val;
+  mg_u_long val;
   DECODE_CONTINUE (*bs)
     HUFF_DECODE (val, mincodes, values);
